aboutsummaryrefslogtreecommitdiff
path: root/package/sentry-native/Config.in
diff options
context:
space:
mode:
Diffstat (limited to 'package/sentry-native/Config.in')
-rw-r--r--package/sentry-native/Config.in28
1 files changed, 28 insertions, 0 deletions
diff --git a/package/sentry-native/Config.in b/package/sentry-native/Config.in
new file mode 100644
index 0000000000..7a3cbd36ad
--- /dev/null
+++ b/package/sentry-native/Config.in
@@ -0,0 +1,28 @@
+config BR2_PACKAGE_SENTRY_NATIVE
+ bool "sentry-native"
+ depends on BR2_INSTALL_LIBSTDCPP # google-breakpad
+ depends on BR2_TOOLCHAIN_GCC_AT_LEAST_4_8 # google-breakpad
+ depends on BR2_USE_WCHAR # google-breakpad
+ depends on BR2_TOOLCHAIN_HAS_THREADS # google-breakpad
+ # google-breakpad is restricted to glibc or uClibc, but
+ # sentry-native needs <execinfo.h>, so it restricts further to
+ # just glibc.
+ depends on BR2_TOOLCHAIN_USES_GLIBC
+ depends on BR2_PACKAGE_GOOGLE_BREAKPAD_ARCH_SUPPORTS # google-breakpad
+ depends on BR2_PACKAGE_HOST_GOOGLE_BREAKPAD_ARCH_SUPPORTS # google-breakpad
+ select BR2_PACKAGE_GOOGLE_BREAKPAD
+ select BR2_PACKAGE_LIBCURL
+ help
+ The Sentry Native SDK is an error and crash
+ reporting client for native applications,
+ optimized for C and C++.
+
+ https://github.com/getsentry/sentry-native
+
+comment "sentry-native needs a glibc toolchain with w/ wchar, thread, C++, gcc >= 4.8"
+ depends on BR2_PACKAGE_GOOGLE_BREAKPAD_ARCH_SUPPORTS
+ depends on BR2_PACKAGE_HOST_GOOGLE_BREAKPAD_ARCH_SUPPORTS
+ depends on !BR2_INSTALL_LIBSTDCPP || !BR2_USE_WCHAR || \
+ !BR2_TOOLCHAIN_HAS_THREADS || \
+ !BR2_TOOLCHAIN_USES_GLIBC || \
+ !BR2_TOOLCHAIN_GCC_AT_LEAST_4_8